Bug 432017 - (CVE-2008-0782) CVE-2008-0782 moin: file overwrite via crafted cookie
CVE-2008-0782 moin: file overwrite via crafted cookie
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=debian,reported=20080208,publi...
: Security
Depends On: 432019 432020 432021
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 08:50 EST by Tomas Hoger
Modified: 2008-02-20 07:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 07:40:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-02-08 08:50:53 EST
It was discovered that moin allowed overwrite of arbitrary file writable by user
running moin using crafted cookie with certain user IDs via directory traversal
flaw.

Fix in upstream HG:
http://hg.moinmo.in/moin/1.5/rev/e69a16b6e630

Sample exploit on milw0rm:
http://www.milw0rm.com/exploits/4957

Issue was reported for 1.5.x, but latest 1.6.1 in rawhide seems to be affected too.
Comment 2 Fedora Update System 2008-02-09 10:20:47 EST
moin-1.5.8-3.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-02-09 10:21:32 EST
moin-1.5.8-3.fc8 has been submitted as an update for Fedora 8
Comment 4 Matthias Saou 2008-02-09 10:31:07 EST
I've rebuilt patched packages for F-7, F-8, EL-4 and EL-5, and requested the
push to testing updates for the Fedora packages. I can't seem to find any
mention of 1.6.x being affected, nor can I see any fix having gone into the
upstream repository, and haven't yet looked at the code.
If there is more information as to 1.6.x's state, please let me know.
Comment 5 Tomas Hoger 2008-02-11 07:42:33 EST
Matthias, I just look at the patch and it seems to apply to 1.6.x as well. 
Maybe there are other differences between 1.5.x and 1.6.x that make this patch
irrelevant for 1.6.x, but upstream will likely know better as they have not
applied it there (yet).  If 1.6.x is not affected, feel free to close-notabug
tracking bugs filed against devel.
Comment 6 Fedora Update System 2008-02-12 23:56:53 EST
moin-1.5.8-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-02-13 00:10:00 EST
moin-1.5.8-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.